﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ComboColumnSource
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            DataContext = new List<Data>
            {
                new Data
                {
                    ID = 1,
                    Name = "Item 1",
                    CountryCode =1,
                    Countries = new List<Country>
                    {
                        new Country 
                        {
                            ID = 1,
                            Name = "Bulgaria",
                        },
                        new Country 
                        {
                            ID = 2,
                            Name = "Austria",
                        },
                        new Country 
                        {
                            ID = 3,
                            Name = "Germany",
                        },
                    }
                },
                new Data
                {
                    ID = 2,
                    Name = "Item 2",
                    CountryCode = 3,
                    Countries = new List<Country>
                    {
                        new Country 
                        {
                            ID = 1,
                            Name = "Canada",
                        },
                        new Country 
                        {
                            ID = 2,
                            Name = "USA",
                        },
                        new Country 
                        {
                            ID = 3,
                            Name = "Mexico",
                        },
                    }
                },
                new Data
                {
                    ID = 3,
                    Name = "Item 3",
                    CountryCode = 1,
                    Countries = new List<Country>
                    {
                        new Country 
                        {
                            ID = 1,
                            Name = "France",
                        },
                        new Country 
                        {
                            ID = 2,
                            Name = "Italy",
                        },
                        new Country 
                        {
                            ID = 3,
                            Name = "India",
                        },
                    }
                },
            };
        }
    }

    public class Data
    {
        public int ID { get; set; }
        public string Name { get; set; }
        public int CountryCode { get; set; }

        public List<Country> Countries { get; set; }
    }

    public class Country
    {
        public int ID { get; set; }
        public string Name { get; set; }
    }
}
